<#macro getFrontPage subject dossierHeader title ch="" cf="" lh="" rh="" lf="" rf="">
    <#-- Make left footer the date and version -->
    <#if lf=="">
        <#local lf = .now?string["dd/MM/yyyy"] + " - IUCLID 6 " + iuclid6Version!/>
    </#if>

    <#-- Make central footer the name of root (could be name of dossier instead) -->
    <#if cf=="">
        <#local cf = com.getReportSubject(rootDocument).name?html />
    </#if>

    <#-- Make central header equal to title -->
    <#if ch=="">
        <#local ch = title/>
    </#if>

    <div>
        <h1>${title}</h1>

        <h2>
            <#assign docUrl=iuclid.webUrl.entityView(subject.documentKey)/>

            <#if subject.documentType=="MIXTURE">
                Mixture: <a href="${docUrl}"><@com.text subject.MixtureName/></a>
            <#elseif subject.documentType=="SUBSTANCE">
                Substance: <a href="${docUrl}"><@com.text subject.ChemicalName/></a>
            </#if>
        </h2>

        <div>
            <#if dossierHeader?has_content>
                <p>
                    <strong>Dossier details:</strong>
                    <p>
                        <ul>
                            <li>Dossier name: <#assign dossierUrl=iuclid.webUrl.entityView(dossierHeader.documentKey)/><ulink url="${dossierUrl}"><@com.text dossierHeader.name /></ulink></li>
                            <li>Dossier UUID: ${com.sanitizeUUID(dossierHeader.subjectKey)}</li>
                            <li>Dossier submission remarks: <@com.text dossierHeader.remarks /></li>
                            <li>Dossier creation date and time: <@com.text dossierHeader.creationDate /></li>
                            <li>Submission type: <@com.text dossierHeader.submissionType /></li>
                            <#assign submittingLegalEntity = iuclid.getDocumentForKey(dossierHeader.submittingLegalEntityKey) />
                            <#if submittingLegalEntity?has_content>
                                <li>Submitting legal entity:
                                    <@com.text submittingLegalEntity.GeneralInfo.LegalEntityName/>
                                </li>
                            </#if>
                            <#assign ownerLegalEntity = iuclid.getDocumentForKey(subject.OwnerLegalEntity) />
                            <#if ownerLegalEntity?has_content && ((!submittingLegalEntity?has_content) || (ownerLegalEntity.documentKey!=submittingLegalEntity.documentKey))>
                                <li>Owner legal entity: <@com.text ownerLegalEntity.GeneralInfo.LegalEntityName/></li>
                            </#if>
                        </ul>
                    </p>
                </p>
            </#if>
        </div>

        <@com.metadataBlock lh ch rh lf cf rf />
    </div>
</#macro>